Subject: [Dime] Comments on section 9 of draft-ietf-dime-rfc3588bis

From: "Glen Zorn" <[email-masked]>
Date: Tue, 14 Jul 2009 18:28:35 +0700

TECHNICAL

Section 9.7.1
-------------
Second paragraph says:
   The AVP listed below SHOULD include service-specific accounting AVPs,
   as described in Section 9.3.
This doesn't make much sense.  I _think_ that what is meant is that the "* [
AVP ]" set of AVPs should include service-specific AVPs but I had to read it
about 3 times to get that understanding (if it is correct).  If my
understanding _is_ correct, suggest changing to 
   The ACR command SHOULD include service-specific accounting AVPs,
   as described in Section 9.3.

Section 9.7.2
-------------
Second paragraph says "Only the target Diameter Server, known as the home
Diameter Server, SHOULD respond with the Accounting-Answer command."  I
don't think that the target and home Diameter servers are synonymous.
Suggest changing to "Only the target Diameter Server SHOULD respond with the
Accounting-Answer command."

Third paragraph says 
   The AVP listed below SHOULD include service-specific accounting AVPs,
   as described in Section 9.3.
suggest changing to 
   The ACA command SHOULD include service-specific accounting AVPs,
   as described in Section 9.3.

EDITORIAL

Section 9
---------
First sentence: s/server directed model/server-directed model/

Second sentence: s/fault resilience/fault-resilience

Last sentence: s/the used devices/the devices used/

Section 9.1
------------
Section heading: s/Server Directed Model/Server-directed Model/

First sentence: s/server directed model/server-directed model/

Section 9.2
-----------
Change "receives a successful authentication and/or authorization messages"
to "receives a successful authentication and/or authorization message" 

Section 9.4
-----------
The first paragraph says:
   Diameter Base protocol mechanisms are used to overcome small message
   loss and network faults of temporary nature.
I have no idea what this means.

Second sentence of the second paragraph, s/sending of same record/sending of
the same record/

Section 9.5
-----------
Paragraph 3, second sentence says "If the authorization server has not
directed interim accounting to be enabled for the session, two accounting
records MUST be generated for each service of type session."  What does "two
accounting records MUST be generated for each service of type session" mean?

Section 9.6 
-----------
Paragraph 3, second sentence: s/the Acct-Multi-Session- Id AVP is used/the
Acct-Multi-Session-Id AVP is used/

~gwz

When the government fears the people, you have liberty. 
When the people fear the government, you have tyranny. 
  -- Thomas Jefferson